define("block_disealytics/add_interaction",["exports","core/ajax","core/modal_factory","core/modal_events","core/templates","core/str","block_disealytics/view_selection","block_disealytics/update_view"],(function(_exports,_ajax,_modal_factory,_modal_events,_templates,_str,_view_selection,_update_view){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Adds interactivity to view-templates and the main-template
   *
   * @module      block_disealytics/add_interaction
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.enableViewmodeDropdown=_exports.enableConsentButtons=void 0,_exports.getValueById=function(id){return document.getElementById(id).value.trim()},_exports.updateSetting=_exports.toggleViewmodeAccordion=_exports.toggleMainConfigModal=_exports.toggleInformationModal=_exports.toggleAccordion=_exports.setEditingMode=_exports.setCourseCategory=_exports.initHelpModalAccordion=_exports.init=void 0,_ajax=_interopRequireDefault(_ajax),_modal_factory=_interopRequireDefault(_modal_factory),_modal_events=_interopRequireDefault(_modal_events),_templates=_interopRequireDefault(_templates);_exports.init=viewname=>{if(registerEventListener(viewname),!(0,_view_selection.anyViewsEnabled)()){const infoOnViews=document.querySelector(".show-when-no-view-enabled");infoOnViews&&infoOnViews.classList.remove("hidden")}};_exports.setEditingMode=()=>{const exitEditing=document.querySelector("#block_disealytics_main_exit-edit_button");exitEditing&&exitEditing.addEventListener("click",(function(){updateSetting("toggle","editing")}));const toggleButton=document.querySelector(".block_disealytics-toggle-editing");toggleButton&&toggleButton.addEventListener("click",(function(){const noViewsParagraph=document.querySelector(".show-when-no-view-enabled");noViewsParagraph.classList.contains("hidden")||noViewsParagraph.classList.add("hidden"),updateSetting("toggle","editing");const dropContainer=document.querySelector(".block_disealytics-drop-container");(0,_view_selection.getViewlist)().forEach((_ref=>{let{viewname:viewname}=_ref;const viewContainer=document.querySelector("#block_disealytics-"+viewname);viewContainer.addEventListener("dragstart",(()=>{viewContainer.classList.add("dragging")})),viewContainer.addEventListener("dragend",(()=>{viewContainer.classList.remove("dragging");const viewElements=[...document.querySelector(".block_disealytics-all-views-container").children],updatedViews=[];viewElements.forEach((viewElement=>{const viewname=viewElement.id.replace(/^block_disealytics-/,"");if(""!==viewElement.textContent.trim()){const newView={viewname:viewname,enabled:1};updatedViews.push(newView)}else{const newView={viewname:viewname,enabled:0};updatedViews.push(newView)}})),updateSetting("write","views",JSON.stringify(updatedViews))}));const editBtn=document.querySelector(".edit-button-"+viewname);editBtn&&(editBtn.classList.contains("hidden")?editBtn.classList.remove("hidden"):editBtn.classList.add("hidden"))})),dropContainer.addEventListener("dragover",(e=>{e.preventDefault();const afterElement=getDragAfterElement(dropContainer,e.clientY),draggable=document.querySelector(".dragging");null===afterElement?dropContainer.appendChild(draggable):dropContainer.insertBefore(draggable,afterElement)}));const addViewButton=document.querySelector("#block_disealytics-open-add-modal");addViewButton&&"true"!==addViewButton.dataset.listenerAttached&&addViewButton.addEventListener("click",(async function(){try{const modal=await _modal_factory.default.create({title:await(0,_str.get_string)("main_add_view_title","block_disealytics"),body:await _templates.default.render("block_disealytics/addview_modal",{id:6}),footer:await(0,_str.get_string)("plugin-version-details","block_disealytics"),removeOnClose:!0});await modal.show();const allViews=document.querySelector(".show-when-all-views-enabled"),anyViewSelectable=document.querySelector(".show-when-any-view-selectable");(0,_view_selection.allViewsEnabled)()?(anyViewSelectable.classList.add("hidden"),allViews.classList.remove("hidden")):(anyViewSelectable.classList.remove("hidden"),allViews.classList.add("hidden")),(0,_view_selection.getViewlist)().forEach((_ref2=>{let{viewname:viewname,enabled:enabled}=_ref2;const addButton=document.querySelector(".block_disealytics-add-"+viewname),viewContainer=document.querySelector("#block_disealytics-"+viewname);addButton&&(enabled||addButton.classList.remove("hidden"),addButton.addEventListener("click",(async function(){addButton.classList.add("hidden"),viewContainer.parentElement.append(viewContainer),viewContainer.setAttribute("data-visible","true"),(0,_view_selection.setScrollToElement)("block_disealytics-"+viewname),(0,_view_selection.setScrollTo)(!0);const updatedViewList=(0,_view_selection.updateViewlist)(viewname,"add");await updateSetting("write","views",JSON.stringify(updatedViewList));for(const view of updatedViewList){if(0===view.enabled){allViews.classList.add("hidden"),anyViewSelectable.classList.remove("hidden");break}allViews.classList.remove("hidden"),anyViewSelectable.classList.add("hidden")}}),!0))})),addViewButton.dataset.listenerAttached="true"}catch(error){window.console.error("Failed to open the add view modal:",error)}}))}),!0)};const getDragAfterElement=(container,y)=>[...container.querySelectorAll(".draggable:not(.dragging)")].reduce(((closest,child)=>{const box=child.getBoundingClientRect(),offset=y-box.top-box.height/2;return offset<0&&offset>closest.offset?{offset:offset,element:child}:closest}),{offset:Number.NEGATIVE_INFINITY}).element,registerEventListener=viewname=>{const verifyDeletionButton=document.querySelector(".block_disealytics_remove_modal_"+viewname);verifyDeletionButton&&verifyDeletionButton.addEventListener("click",(async function(){const modalRemoveText1=await(0,_str.get_string)("modal_remove_text_1","block_disealytics"),modalRemoveView=await(0,_str.get_string)(viewname,"block_disealytics"),modalRemoveText2=await(0,_str.get_string)("modal_remove_text_2","block_disealytics"),modal=await _modal_factory.default.create({type:_modal_factory.default.types.SAVE_CANCEL,title:await(0,_str.get_string)("modal_remove_title","block_disealytics"),body:"".concat(modalRemoveText1," <strong>").concat(modalRemoveView,"</strong> ").concat(modalRemoveText2),removeOnClose:!0});modal.setSaveButtonText(await(0,_str.get_string)("modal_remove_check","block_disealytics"));const saveBtn=modal.getRoot().find(modal.getActionSelector("save"));saveBtn&&(saveBtn.removeClass("btn-primary"),saveBtn.addClass("btn-danger"));const cancelBtn=modal.getFooter().find(modal.getActionSelector("cancel"));cancelBtn&&cancelBtn.css("display","none"),modal.show(),modal.getRoot().on(_modal_events.default.save,(async function(){document.querySelector("#block_disealytics-"+viewname).setAttribute("data-visible","false");const updatedViewList=(0,_view_selection.updateViewlist)(viewname,"delete");await updateSetting("write","views",JSON.stringify(updatedViewList))}))}),!1);const toggleExpansionButtons=document.querySelectorAll(".block_disealytics-toggle-expansion-btn-"+viewname);[].forEach.call(toggleExpansionButtons,(e=>{e.addEventListener("click",(function(){(0,_view_selection.setScrollTo)(!0),updateSetting("write","expanded_view",viewname)}),!1)})),toggleInformationModal(viewname),setCourseCategory(viewname),toggleViewmodeAccordion(viewname)},toggleInformationModal=viewname=>{const btn=document.querySelector("#block_disealytics_"+viewname+"_info_btn"),btnExpanded=document.querySelector("#block_disealytics_"+viewname+"_info_btn_expanded");btn&&btn.addEventListener("click",(async function(){const footerContent="main"===viewname?"<div>"+await(0,_str.get_string)("plugin-version-details","block_disealytics")+"</div>":"",modal=await _modal_factory.default.create({title:"main"===viewname?await(0,_str.get_string)("main_help_title","block_disealytics"):await(0,_str.get_string)(viewname,"block_disealytics"),body:"main"===viewname?await _templates.default.render("block_disealytics/help_modal",{id:5}):await(0,_str.get_string)(viewname+"_help_info_text","block_disealytics"),footer:footerContent,removeOnClose:!0});await modal.show(),"main"===viewname&&initHelpModalAccordion()})),btnExpanded&&btnExpanded.addEventListener("click",(async function(){(await _modal_factory.default.create({title:(0,_str.get_string)(viewname,"block_disealytics"),body:(0,_str.get_string)(viewname+"_help_info_text_expanded","block_disealytics"),removeOnClose:!0})).show()}))};_exports.toggleInformationModal=toggleInformationModal;_exports.toggleMainConfigModal=()=>{const mainConfigBtn=document.querySelector("#block_disealytics_config_menu");mainConfigBtn&&mainConfigBtn.addEventListener("click",(async function(){const modal=await _modal_factory.default.create({title:await(0,_str.get_string)("main_config_title","block_disealytics"),body:await _templates.default.render("block_disealytics/config_menu",{id:1}),removeOnClose:!0});if(await modal.show(),modal.getRoot()){const mainConsentBtn=document.querySelector("#block_disealytics_config_consent_menu");if(mainConsentBtn){const toggleIcon=mainConsentBtn.querySelector("i");mainConsentBtn.addEventListener("click",(async function(){toggleIcon.classList.remove("disea-green","fa-toggle-on"),toggleIcon.classList.add("disea-gray","fa-toggle-off"),setTimeout((()=>{toggleIcon.classList.remove("disea-gray","fa-toggle-off"),toggleIcon.classList.add("disea-green","fa-toggle-on")}),1e3);const consentModal=await _modal_factory.default.create({title:await(0,_str.get_string)("consent_config_title","block_disealytics"),body:await _templates.default.render("block_disealytics/config_menu_consent",{id:2}),removeOnClose:!0});await consentModal.show(),enableConsentButtons(consentModal)}))}}}))};const initHelpModalAccordion=()=>{const accordion=document.getElementById("block_disealytics_info-modal-accordion");document.querySelectorAll("#block_disealytics_info-modal-accordion .accordion-head").forEach(((head,index)=>{head.addEventListener("click",(()=>{toggleAccordion(accordion,index+1)}))}))};_exports.initHelpModalAccordion=initHelpModalAccordion;const toggleAccordion=(element,index)=>{const content=element.querySelector("#content-".concat(index)),icon=element.querySelector("#icon-".concat(index));content.classList.contains("active")?(content.classList.remove("active"),icon.className="fa fa-chevron-down accordion-icon"):(content.classList.add("active"),icon.className="fa fa-chevron-up accordion-icon")};_exports.toggleAccordion=toggleAccordion;const updateSetting=function(updatetype,setting){let val=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,args={info:{action:updatetype,name:setting}};void 0!==val&&(args.info.value=val),_ajax.default.call([{methodname:"block_disealytics_write_user_preference",args:args}])[0].done((async function(response){if("viewmode"===setting||"editing"===setting){let views=(0,_view_selection.getViewlist)().filter((e=>1===e.enabled)).map((e=>e.viewname));await(0,_update_view.updateView)((0,_view_selection.getCourseId)(),views)}else if("views"===setting){const data=JSON.parse(response);(0,_view_selection.setViewlist)(JSON.parse(data.setting)),await(0,_update_view.updateView)((0,_view_selection.getCourseId)(),(0,_view_selection.getViewlist)())}else"expanded_view"===setting?await(0,_update_view.updateView)((0,_view_selection.getCourseId)(),[val]):await(0,_update_view.updateView)((0,_view_selection.getCourseId)(),void 0);"select_category"===updatetype&&await(0,_update_view.updateView)((0,_view_selection.getCourseId)(),[setting]),"revoke_consent"===updatetype&&location.reload()})).fail((function(err){window.console.log(err)}))};_exports.updateSetting=updateSetting;_exports.enableViewmodeDropdown=()=>{document.querySelector(".main-viewmode-selection").addEventListener("change",(function(){let select=document.querySelector(".main-viewmode-selection");document.querySelector(".main-viewmode-label")&&updateSetting("write","viewmode",select.value)}))};const enableConsentButtons=function(){let modal=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;document.querySelector(".disea-delete-consent-btn").addEventListener("click",(function(){updateSetting("revoke_consent","","delete")})),document.querySelector(".disea-save-consent-btn").addEventListener("click",(function(){updateSetting("revoke_consent","","")})),document.querySelector(".disea-cancel-consent-btn").addEventListener("click",(function(){modal.destroy()}))};_exports.enableConsentButtons=enableConsentButtons;const setCourseCategory=viewname=>{document.querySelectorAll(".course-category-global-item-"+viewname).forEach((category=>{category.addEventListener("click",(function(){const selectedCategory=this.textContent.trim();updateSetting("select_category",viewname,selectedCategory)}))}))};_exports.setCourseCategory=setCourseCategory;const toggleViewmodeAccordion=viewname=>{document.querySelectorAll(".course-category-icon-"+viewname).forEach((icon=>{if(icon){const container=icon.closest(".accordion-head-course-category-"+viewname);container&&(icon.addEventListener("click",(event=>{event.stopPropagation(),icon.classList.toggle("fa-chevron-down"),icon.classList.toggle("fa-chevron-up");container.nextElementSibling.classList.toggle("hidden")})),container.addEventListener("click",(()=>{icon.classList.toggle("fa-chevron-down"),icon.classList.toggle("fa-chevron-up");container.nextElementSibling.classList.toggle("hidden")})))}}))};_exports.toggleViewmodeAccordion=toggleViewmodeAccordion}));

//# sourceMappingURL=add_interaction.min.js.map